<?php
/**
 * Functions for users wanting to upgrade to premium
 *
 * @package Vogue
 */

/**
 * Display the upgrade to Premium page & load styles.
 */
function vogue_premium_admin_menu() {
    global $vogue_upgrade_page;
    $vogue_upgrade_page = add_theme_page( __( 'About Vogue', 'vogue' ), '<span class="premium-link">' . __( 'About Vogue', 'vogue' ) . '</span>', 'edit_theme_options', 'theme_info', 'vogue_render_upgrade_page' );
}
add_action( 'admin_menu', 'vogue_premium_admin_menu' );

/**
 * Enqueue admin stylesheet only on upgrade page.
 */
function vogue_load_upgrade_page_scripts( $hook ) {
    global $vogue_upgrade_page;
    if ( $hook != $vogue_upgrade_page )
        return;
    
    wp_enqueue_style( 'vogue-premium-css', get_template_directory_uri() . '/premium/css/upgrade-admin.css' );
}
add_action( 'admin_enqueue_scripts', 'vogue_load_upgrade_page_scripts' );

/**
 * Render the premium upgraded page
 */
function vogue_render_upgrade_page() {
	get_template_part( 'premium/tpl/premium-page' );
}
